VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Member Functions | Static Public Member Functions | List of all members
ModelBindingCallbacks Class Reference
Inheritance diagram for ModelBindingCallbacks:

## Public Member Functions
| ModelBindingCallbacks ()=default
| ~ModelBindingCallbacks () override
ValuePtr | addValue (ValuePtr value, const ValueCalls &callbacks={})
ValuePtr | addValue (ValuePtr value, ValueCalls &&callbacks)
ValuePtr | getValue (UTF8StringView valueID) const
const ValueList & | getValues () const override
Public Member Functions inherited from ValueListenerAdapter
void | onBeginEdit (IValue &value) override
| Value begins editing.
void | onPerformEdit (IValue &value, IValue::Type newValue) override
| Value performed an edit.
void | onEndEdit (IValue &value) override
| Value ends editing.
void | onStateChange (IValue &value) override
| Value changed some of its state.

## Static Public Member Functions
static ModelBindingCallbacksPtr | make ()

## Additional Inherited Members
Public Types inherited from IModelBinding
using | ValueList = std::vector< ValuePtr >

## Constructor & Destructor Documentation

ModelBindingCallbacks | ( |  | ) |
| default

~ModelBindingCallbacks | ( |  | ) |
| inline override

## Member Function Documentation

ValuePtr addValue | ( | ValuePtr | value,
|  | const ValueCalls & | callbacks = `{}`
| ) |  |
| inline

ValuePtr addValue | ( | ValuePtr | value,
|  | ValueCalls && | callbacks
| ) |  |
| inline

ValuePtr getValue | ( | UTF8StringView | valueID | ) | const
| inline

const ValueList& getValues | ( |  | ) | const
| inline override virtual

Implements IModelBinding.

static ModelBindingCallbacksPtr make | ( |  | ) |
| inline static

The documentation for this class was generated from the following file:

- modelbinding.h